Name:		minetest
Version:	0.4.8
Release:	%mkrel 1
Summary:	An InfiniMiner/Minecraft inspired game
Group:		Games/Other
License:	GPLv2+
URL:		http://minetest.net
# Source file from github: https://github.com/minetest/minetest
Source0:	%{name}-%{version}.tar.gz
# Source file from github: https://github.com/minetest/minetest_game
Source1:	%{name}_game-%{version}.tar.gz
Patch0:		minetest-0.4.8-mga-localedir.patch
Patch1:		minetest-0.4.8-json.patch
Patch2:		minetest-0.4.8-mga-desktop.patch
BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	irrlicht-devel
BuildRequires:	jpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(jthread)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(x11)

%description
One of the first InfiniMiner/Minecraft inspired games with a goal of taking
the survival multiplayer gameplay to a slightly different direction.

This game is under development, and as of now, the game does not really
differ from Minecraft except for having a lot less features. Still, playing
is quite fun already, especially for people who have not been able to
experience Minecraft.

%prep
%setup -q -a 1
%apply_patches

%build
%cmake -DRUN_IN_PLACE=0 -DCUSTOM_BINDIR:STRING=%{_gamesbindir} -DCUSTOM_SHAREDIR:STRING=%{_gamesdatadir}/%{name} -DCMAKE_BUILD_TYPE:STRING=Release -DENABLE_GETTEXT:BOOL=ON -DJTHREAD_INCLUDE_DIR=%{_includedir}/jthread
%make

%install
%makeinstall_std -C build
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game
cp -r %{name}_game-%{version}/* %{buildroot}%{_gamesdatadir}/%{name}/games/%{name}_game

%find_lang %{name}

%files -f %{name}.lang
%doc doc/*.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}server
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}server.6*


%changelog
* Sat Feb 08 2014 dams <dams> 0.4.8-1.mga4
+ Revision: 585919
- New version to fix game no more launching (mga#11803)

* Mon Oct 21 2013 umeabot <umeabot> 0.4.7-3.mga4
+ Revision: 539913
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 0.4.7-2.mga4
+ Revision: 493064
- update specfile
- clean %%cmake options
- enable back parallel build

* Tue Oct 08 2013 dams <dams> 0.4.7-1.mga4
+ Revision: 493051
- new version 0.4.7
- add a patch to fix build with jthread
- add a patch to fix jsoncpp deps

* Sat Jan 12 2013 umeabot <umeabot> 0.4.3-3.mga3
+ Revision: 360093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dams <dams> 0.4.3-2.mga3
+ Revision: 293095
- do not use embedded jthread anymore (+ patch from Mandriva to fix build)

* Mon Sep 10 2012 dams <dams> 0.4.3-1.mga3
+ Revision: 291962
- add a patch to fix build of jthread (embedded): pthread needed
- new version 0.4.3
- clean specfile
- remove useless patch
- update %%cmake options
- imported package minetest


* Thu Jul 26 2012 Andrey Bondrov <abondrov@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 811164
- Don't use patch for older MDV releases

* Thu Jul 26 2012 Andrey Bondrov <abondrov@mandriva.org> 0.4.1-1
+ Revision: 811146
- Add patch0 to fix build against new jthread
- New version 0.4.1, update BuildRequires and files

* Thu Nov 10 2011 Andrey Bondrov <abondrov@mandriva.org> 0.3.1-1
+ Revision: 729589
- imported package minetest

